tapi-api-verify(1)

NAME
tapi-api-verify - Perform comparison between frameworks

SYNOPSIS
tapi api-verify [options] <comparsion config file>

DESCRIPTION

The api-verify command performs a comparison for the API/ABI between two framework directories verifying there are no undefined symbols. The comparison config file is in YAML format and should contain the following components:

Required

    base
        Contains target, sysroot, framework path and optionally, additional framework and include paths.

    variant
        Follows the same structure as the base component.
Optional

    skip-external-headers
        Boolean to specify external headers.

    diag-missing-api
        Boolean to specify diagnosing missing api.

    no-cascading-diagnostics
        Boolean to specify disabling cascading errors.

    compare-private-header
        Boolean to specify comparing private headers instead of public ones.

    diag-depth
        Integer to specify the depth of diagnostics (0 is ignored).

    verifier-diag-style
        APIVerifier Diagnostic Style, options are silent, warning or error.

    allowlist
        allowlist YAML file
Example File
---
    skip-external: false
    missing-api: true
    no-cascading-diags: true
    compare-private-headers: false
    diag-depth: 5
    allowlist: my-allowlist.yaml
    diag-style: warning base:
        target: x86_64-apple-macos10.15
        sysroot: /
        path: /System/Library/Frameworks/ExampleAKit.framework
    variant:
        target: x86_64-apple-ios13.0-macabi
        sysroot: /
        path: /System/Library/Frameworks/ExampleBKit.framework
        includes:
            - /usr/include
        frameworks:
              - /System/Library/Frameworks
              - /System/Library/PrivateFrameworks
...

OPTIONS

-x <language>
    Treat subsequent input files as having type <language> =c - C
    =c++ - C++
    =objc - Objective-C
    =objc++ - Objective-C++

-Xparser <arg>
    Pass <arg> to the clang parser.

-std=<value>
    Language standard to compile for.

-v
    Verbose output, show scan content and driver options.

-help
    Prints the list of options.

SEE ALSO
tapi(1), ld(1)